Package helma.objectmodel.db

# Class SegmentedSubnodeList

java.lang.Object
helma.objectmodel.db.SubnodeList
helma.objectmodel.db.SegmentedSubnodeList

All Implemented Interfaces:
  `Serializable`

public class SegmentedSubnodeList extends SubnodeList

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class helma.objectmodel.db.SubnodeList

`lastSubnodeChange, lastSubnodeFetch, list, node`

## Constructor Summary

Constructors
Constructor
Description
`SegmentedSubnodeList(Node node)`
Creates a new subnode list

## Method Summary

Modifier and Type
Method
Description
`void`
`add(int index, NodeHandle handle)`
Adds the specified object to the list at the given position
`boolean`
`add(NodeHandle handle)`
Adds the specified object to this list performing custom ordering
`boolean`
`contains(Object object)`
`NodeHandle`
`get(int index)`
`int`
`indexOf(Object object)`
`Object`
`remove(int index)`
remove the object specified by the given index-position
`boolean`
`remove(Object object)`
remove the given Object from this List
`int`
`size()`
Return the size of the list.
`Object[]`
`toArray()`
`protected void`
`update()`

### Methods inherited from class helma.objectmodel.db.SubnodeList

`getLastSubnodeChange, getNode, getSubnodeMapping, getSubnodeRelation, hasRelationalNodes, markAsChanged, prefetch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SegmentedSubnodeList

public SegmentedSubnodeList(Node node)
Creates a new subnode list

Parameters:
  `node` - the node we belong to

## Method Details

### add

public boolean add(NodeHandle handle)
Adds the specified object to this list performing custom ordering

Overrides:
  `add` in class `SubnodeList`
Parameters:
  `handle` - element to be inserted.

### add

public void add(int index, NodeHandle handle)
Adds the specified object to the list at the given position

Overrides:
  `add` in class `SubnodeList`
Parameters:
  `index` - the index to insert the element at
  `handle` - the object to add

### get

public NodeHandle get(int index)

Overrides:
  `get` in class `SubnodeList`

### contains

public boolean contains(Object object)

Overrides:
  `contains` in class `SubnodeList`

### indexOf

public int indexOf(Object object)

Overrides:
  `indexOf` in class `SubnodeList`

### remove

public Object remove(int index)
remove the object specified by the given index-position

Overrides:
  `remove` in class `SubnodeList`
Parameters:
  `index` - the index-position of the NodeHandle to remove

### remove

public boolean remove(Object object)
remove the given Object from this List

Overrides:
  `remove` in class `SubnodeList`
Parameters:
  `object` - the NodeHandle to remove

### toArray

public Object[] toArray()

Overrides:
  `toArray` in class `SubnodeList`

### update

protected void update()

Overrides:
  `update` in class `SubnodeList`

### size

public int size()
Description copied from class: `SubnodeList`
Return the size of the list.

Overrides:
  `size` in class `SubnodeList`
Returns:
  the list size